# Authentication

* [Supported Environments](#supported-environments)
* [Re issue API Key](#re-issue-api-key)

### Supported Environments

Luganodes supports the following environments on ETH, as defined below

<table data-header-hidden><thead><tr><th width="356">Base URL</th><th>ETH Network</th></tr></thead><tbody><tr><td><a href="https://holesky.eth-staking.lgns.net/api
">https://testnet.eth-staking.lgns.net</a></td><td>Hoodi Testnet</td></tr><tr><td><a href="https://mainnet.eth-staking.lgns.net/api">https://mainnet.eth-staking.lgns.net</a></td><td>Ethereum Mainnet </td></tr></tbody></table>

## Re-issue API Key

<mark style="color:green;">`POST`</mark> `/api/regenerate-api-key`

Re-issue a new API key for your account. This invalidates your previous API key.

#### Request Body

| Name                                       | Type   | Description   |
| ------------------------------------------ | ------ | ------------- |
| email<mark style="color:red;">\*</mark>    | String | Email of user |
| password<mark style="color:red;">\*</mark> | String | Password      |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "result": {
    "user": {
      "apiKey": "isqMH8hfQB4IOf7CqPwEdQdQIP6Af6Ux3BWQJP6auF4="
    }
  }
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

```bash
curl --location -g '{{url}}/api/regenerate-api-key' \
--data-raw '{
    "email": "test@luganodes.com",
    "password": "gJHKLL47JihNs9"
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luganodes.com/apis/ethereum/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
